package crontab

type XToday struct {
	XBegDate       string
	XEndDate       string
	LastMaxHabitId int64
	CurrMaxHabitId int64
	XMin2Id        int64
	XMin7Id        int64
	ActiveLowest   int64
	RuminaLowest   int64
	ActiveLow      int64
	ActiveMiddle   int64
	ActiveHigh     int64
}

type WeekHabit struct {
	NeckRingNumber   string
	AvgHighHabit     int32
	AvgRuminaHabit   int32
	AvgChewHabit     int32
	AvgInactiveHabit int32
	AvgIntakeHabit   int32
	AvgOtherHabit    int32
}

type SumHabit struct {
	NeckRingNumber string
	SumRumina      int32
	SumIntake      int32
	SumInactive    int32
	SumActive      int32
	SumMaxHigh     int32
	SumMinHigh     int32
	SumMinChew     int32
}

type ActivityVolume struct {
	NeckRingNumber string
	AvgFilter      int32
	StdFilter      int32
	Nb             int32
}

type CowEstrusOriginal struct {
	CowId      int64
	Lact       int32
	CalvingAge int64
	CreateTime string
	Cft        float32
	High       int32
}

type CowEstrus struct {
	CowId      int64
	ActiveDate string
	HadJust    int32
}

type EstrusStartData struct {
	CowId           int64
	EstrusStartDate string
}

type EstrusIsPeakData struct {
	CowId           int64
	EstrusStartDate string
	ActiveDate      string
}
