package mqtt

import (
	"kpt-pasture/config"
	"kpt-pasture/store/kptstore"

	"gitee.com/xuyiping_admin/pkg/di"
	"go.uber.org/dig"
)

var Module = di.Options(di.Provide(NewMqtt))

func NewMqtt(entry Entry) DataHandle {
	return &entry
}

type Entry struct {
	dig.In
	Cfg *config.AppConfig
	DB  *kptstore.DB
}

type DataHandle interface {
	NeckRingHandle(msg []byte)
	NeckRingOriginalMergeData()
	PastureUpdateActiveHabit() // 更新脖环数据 2分钟执行一下
}
